import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotDeviceWarn/` + url, ...arg)

/**
 * 离线报警Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 13:59
 **/
export default {
	// 获取离线报警分页
	depotDeviceWarnPage(data) {
		return request('page', data, 'get')
	},
	// 获取离线报警列表
	depotDeviceWarnList(data) {
		return request('list', data, 'get')
	},
	// 提交离线报警表单 edit为true时为编辑，默认为新增
	depotDeviceWarnSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 提交离线报警表单 edit为true时为编辑，默认为新增
	depotDeviceWarnProcessTo(data) {
		return request('processTo', data)
	},
	// 删除离线报警
	depotDeviceWarnDelete(data) {
		return request('delete', data)
	},
	// 获取离线报警详情
	depotDeviceWarnDetail(data) {
		return request('detail', data, 'get')
	}
}
